Автор Тема: Есть работающий способ заставить работать bumblebee?  (Прочитано 2452 раз)

Оффлайн Santec

  • Начинающий
  • *
  • Сообщений: 18
Да ну нафиг. Накой мне возиться до опупения с альтом, если есть дистрибутивы, где все нормально работает по нормальной документации с сайта дистрибутива.
Всем спасибо за оказанную помощь. Тему можно закрыть

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 957
    • Домашняя страница
    • Email
Используйте нормальные дистрибутивы. Прощайте.
Андрей Черепанов (cas@)

Оффлайн Santec

  • Начинающий
  • *
  • Сообщений: 18
Да, буду использовать нормальные дистрибутивы и это не Альт. А Черепанова как я гляжу еще не уволили... Еще гадит в форуме разгоняя потенциальных клиентов

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 957
    • Домашняя страница
    • Email
Вы ни разу не потенциальный клиент. Потому меня и не увольняют. О Вас забудут через неделю.
Андрей Черепанов (cas@)

Оффлайн Santec

  • Начинающий
  • *
  • Сообщений: 18
Очень даже потенциальный (был). А вы зачем вообще в это обсуждение влезли? Какой глубинный технический смысл несет написанное вами? Другие предлагали вариранты, подсказывали пути решения. Вы в очередной раз бессмысленно **** .

Оффлайн Alex_shi

  • Начинающий
  • *
  • Сообщений: 7
В убунту/минт/дебиан для данной карты как раз и используется механизм подмены конфигов с интела на нвидиа. На Гите нашел такую прогу, как говорит название можно подстроить под любой дистрибутив. Мне не хватает знаний, чтобы понять что ей нужно задать в начале и где это в alt. Т.к. у меня есть точно такое же железо готов поэкспериментировать, если более опытные подскажут, что надо указать перед запуском и где это в альте. Ссылка на прогу  https://github.com/wildtruc/nvidia-prime-select

Отредактировал.
Мое мнение для данной карты, все таки лучше полное переключение, т.к. лично у меня были проблемы с запуском ПО из под bumblebee. Например стим запустился, но игра под протоном из стима уже не запускалась. Плюс было специфичное ПО, которое работает как в контейнере, тоже не пошло через шмель.
« Последнее редактирование: 26.07.2023 17:17:05 от Alex_shi »

Оффлайн ProfessorNavigator

  • Давно тут
  • **
  • Сообщений: 240
Ссылка на прогу  https://github.com/wildtruc/nvidia-prime-select
В общем я её опакетил - можете попробовать. Но только на свой страх и риск! У меня подходящего железа под рукой нет, так что нормально протестировать не удалось. Готовый пакет здесь, src.rpm тут. Пакет можно устанавливать как в p10, так и в Sisyphus. Если после использования при загрузке будет чёрный экран, то ctrl + alt + F6 и удалить /etc/X11/xorg.conf (это символьная ссылка).
« Последнее редактирование: 27.07.2023 12:19:23 от ProfessorNavigator »

Оффлайн Santec

  • Начинающий
  • *
  • Сообщений: 18
обе ссылки ведут на nvidia-prime-select-1.0-alt1.x86_64.rpm, src.rpm нет по второй ссылке
Хотя там наверное нечего в src.rpm запаковывать - скрипт и несколько конфигов. Проверю как время будет, хотя я уже к альту охладел, но еще не успел удалить его.
« Последнее редактирование: 27.07.2023 08:24:15 от Santec »

Оффлайн ProfessorNavigator

  • Давно тут
  • **
  • Сообщений: 240
обе ссылки ведут на nvidia-prime-select-1.0-alt1.x86_64.rpm, src.rpm нет по второй ссылке
Исправил.

Оффлайн ProfessorNavigator

  • Давно тут
  • **
  • Сообщений: 240
Хотя там наверное нечего в src.rpm запаковывать - скрипт и несколько конфигов.
В целом - да. Но у меня так и не получилось в hasher заставить нормально работать оригинальный Makefile, поэтому добавил патч - он удаляет Makefile и добавляет meson.build. Ну и зависимость есть одна - для работы графической составляющей требуется zenity.

Оффлайн Alex_shi

  • Начинающий
  • *
  • Сообщений: 7
В общем я её опакетил - можете попробовать. Но только на свой страх и риск!
Спасибо. В выходные будет немного времени протестирую.

Оффлайн Santec

  • Начинающий
  • *
  • Сообщений: 18
У меня это решение не заработало
"nvidia-prime-select intel" и "nvidia-prime-select default" дают тот же результат, что и было - все работает через интел
"nvidia-prime-select nvidia" приводит к черному экрану
grep EE Xorg.0.log
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   272.760] (EE) Failed to load module "glx" (module does not exist, 0)
[   272.760] (EE) Failed to load module "nvidia" (module does not exist, 0)
[   272.760] (EE) Failed to load module "modesetting" (module does not exist, 0)
[   272.760] (EE) No drivers available.
[   272.760] (EE)
[   272.760] (EE) no screens found(EE)
Детально разбирать конфиг nvidia-prime-select для нвидии лень. Слишком много нареканий к Альту по сравнению с другими дистрибутивами - сношу его.

Оффлайн zerg

  • ненужная строка
  • alt linux team
  • ***
  • Сообщений: 2 503
  • ненужная строка
    • Найдётся всё
У меня это решение не заработало
И не заработает. Не надо тащить в систему невесть-что, учитывая, что это даже собиравший не пробовал.
« Последнее редактирование: 31.07.2023 16:42:47 от zerg »
Убрать этот мусор можно переключателем: Не показывать подписи других пользователей.

Оффлайн N0rbert

  • alt linux team
  • ***
  • Сообщений: 231
  • snk@
На днях мне удалось получить положительный опыт использования современного варианта Optimus, реализуемого через nvidia-prime-run.
Связка Intel UHD Graphics 750 (в составе i7-11800H) и Nvidia RTX 3050 на компьютере товарища сработала идеально в ALT p10 без дополнительных действий.
При этом баллы в Unigine Superposition 1.1 на ALT p10 получились даже больше, чем в Debian 12 (6638 против 6505).

По рассматриваемой теме Bumblebee получается следующее - карты до GTX 1660 и MX250 реализуют старый вариант технологии Optimus.
С ним и на начальном этапе были проблемы. Даже Линус Торвальдс по этому поводу достаточно красноречиво выступил.

Как владелец двух достаточно старых 12-летних исправно работающих ноутбуков на i7-740QM, 16 Gb RAM и Nvidia GT 425M (без Optimus), отлично работающих что с ALW p10, что с Debian 11, хотя бы из уважения к старому железу, могу попробовать поддержать автора ветки предложениями ниже.

На уровне пакетов получается, что в Debian присутствует bbswitch-dkms, из которого можно собрать нужный модуль ядра для ALT следующими командами:

# update-kernel -a -f -y -t std-def
# apt-get install kernel-source-bbswitch kernel-headers-modules-std-def bumblebee dkms rpm-build dpkg eepm
# reboot
# epm install http://ftp.debian.org/debian/pool/main/b/bbswitch/bbswitch-dkms_0.8-15_amd64.deb
# cd /usr/src/bbswitch-0.8
# make
# dkms install -m bbswitch/0.8

Дальше можно будет убедиться в сборке модуля bbswitch и попробовать его подгрузить на системе с двумя видеоадаптерами.
На виртуальной машине у меня получился такой вывод:

# dkms status
bbswitch/0.8, 5.10.186-std-def-alt1, x86_64: installed

# modinfo bbswitch
filename:       /lib/modules/5.10.186-std-def-alt1/kernel/drivers/acpi/bbswitch.ko
version:        0.8
author:         Peter Wu <lekensteyn@gmail.com>
description:    Toggle the discrete graphics card
license:        GPL
srcversion:     7343E82B0BDF1C59BCD6721
depends:       
retpoline:      Y
name:           bbswitch
vermagic:       5.10.186-std-def-alt1 SMP mod_unload modversions
parm:           load_state:Initial card state (0 = off, 1 = on, -1 = unchanged) (int)
parm:           unload_state:Card state on unload (0 = off, 1 = on, -1 = unchanged) (int)
parm:           skip_optimus_dsm:Skip probe of Optimus discrete DSM (default = false) (bool)

# modprobe bbswitch
modprobe: ERROR: could not insert 'bbswitch': No such device

(вывод последний команды закономерен, поскольку это виртуальная машина, а реального железа с Optimus старой реализации у меня не появилось)

Если я правильно все понимаю, то действиями выше мы прошли этап установка соответствующей wiki-страницы и теперь можно переходить к этапам настройка и проверка.



В процессе написания этого сообщения создал два сообщения об ошибках:

* отсутствие пакета kernel-modules-bbswitch-std-def в p10 - https://bugzilla.altlinux.org/47060
* невозможность компиляции kernel-source-bbswitch на современных ядрах в p10 - https://bugzilla.altlinux.org/47061

Надеюсь, что эти сообщения об ошибках скоро будут исправлены в пользу пользователей, и в результате пользователи смогут использовать на своих стареньких исправных и работоспособных ноутбуках старый вариант Nvidia Optimus, требующий Bumblebee в ALT.
« Последнее редактирование: 31.07.2023 18:20:48 от N0rbert »

Оффлайн zerg

  • ненужная строка
  • alt linux team
  • ***
  • Сообщений: 2 503
  • ненужная строка
    • Найдётся всё
На днях мне удалось получить положительный опыт использования современного варианта Optimus, реализуемого через nvidia-prime-run
Вы ошиблись темой.
bubmlebee нужен там, где nvidia-prime-run не работает, т.е. на старых видеокартах с драйвером nvidia-390 и старее.
Убрать этот мусор можно переключателем: Не показывать подписи других пользователей.